commit:     8e46cb3db85f0cad547cad708b9018924bf65bcb
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Sun Nov 27 00:57:34 2016 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 27 10:28:33 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e46cb3d

dev-python/dominate: bump to 2.3.1

Closes: https://github.com/gentoo/gentoo/pull/2925
Package-Manager: portage-2.3.2

 dev-python/dominate/Manifest              |  1 +
 dev-python/dominate/dominate-2.3.1.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/dominate/Manifest b/dev-python/dominate/Manifest
index fb6c346..ae8d322 100644
--- a/dev-python/dominate/Manifest
+++ b/dev-python/dominate/Manifest
@@ -1 +1,2 @@
 DIST dominate-2.2.1.zip 46460 SHA256 
4aa6a2f458461541f9ceeb58b49da9b42320f80aa2a6f692baea2817431d9953 SHA512 
3f79fa4258f98708b1e169693e83f919179c1148f440300426f907e28c26b28c21a1098793a14f7e89e5aba0de61f93c889a4908f0eb6e3641ffe234e215e597
 WHIRLPOOL 
18b57dfc4d0f825be45a1b248e434a8a013d5b76f065b854c47aab9d99c00f5d1854fbcd3c520de50b11b5d7f079f6e57b2e7167249b7e71ff980ac02dfd8100
+DIST dominate-2.3.1.tar.gz 27887 SHA256 
4b8ce6f33633c9dd9175b228d21c00c801b6bd0327747cd5e17fc2da934c3a69 SHA512 
599147cd9aabc7c3bc24e6c82a13b690808899107999a3b0d7d3f2f113b38c90f2c720298ffdcdf1933d2573cced05d730dab53265397b7fc010e57feabc10b3
 WHIRLPOOL 
258b490620bf358829a74bb7586864a078004268e7bd140322d27126484824ccff0533a87f41948bb13ce19cd47b020d16181a4ea7d74c3f12bf18479b047939

diff --git a/dev-python/dominate/dominate-2.3.1.ebuild 
b/dev-python/dominate/dominate-2.3.1.ebuild
new file mode 100644
index 00000000..56f49b8
--- /dev/null
+++ b/dev-python/dominate/dominate-2.3.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for creating and manipulating HTML documents using an 
elegant DOM API"
+HOMEPAGE="https://github.com/Knio/dominate";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       py.test || die "Tests failed with ${EPYTHON}"
+}

Reply via email to